Bug 1168865 - [Build 20200402] openQA test fails in lshw segfault ppc64le
[Build 20200402] openQA test fails in lshw segfault ppc64le
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
PowerPC Other
: P5 - None : Normal (vote)
: ---
Assigned To: Martin Liška
E-mail List
https://openqa.opensuse.org/tests/122...
:
Depends on:
Blocks: 1133084
  Show dependency treegraph
 
Reported: 2020-04-07 12:52 UTC by Michel Normand
Modified: 2020-09-07 13:14 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
lshw_segfault_journalctl.log (179.18 KB, text/x-log)
2020-04-07 13:00 UTC, Michel Normand
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michel Normand 2020-04-07 12:52:35 UTC
## Observation

lshw segfault ppc64le with version B.02.19.2-1.1
no failure in previous version B.02.18+git.20191228-1.1

reported failure:
=== extract from journalctl
Apr 06 22:04:09 susetest [RPM][3513]: Transaction ID 5e8bdf99 started
Apr 06 22:04:09 susetest [RPM][3513]: install lshw-B.02.19.2-1.1.ppc64le: success
Apr 06 22:04:09 susetest [RPM][3513]: install lshw-B.02.19.2-1.1.ppc64le: success
Apr 06 22:04:09 susetest [RPM][3513]: Transaction ID 5e8bdf99 finished: 0
Apr 06 22:04:22 susetest kernel: lshw[6160]: segfault (11) at 8 nip 7fff8b820dd4 lr 101d8d7a8 code 1 in libstdc++.so.6.0.28[7fff8b730000+270000]
Apr 06 22:04:22 susetest kernel: lshw[6160]: code: 4e800020 00000000 00000900 00000000 60000000 60000000 60000000 80030000
Apr 06 22:04:22 susetest kernel: lshw[6160]: code: 7c651b78 2c000000 40820014 e8630008 <e8030008> 7c250000 41820084 e8850010
===


openQA test in scenario opensuse-Tumbleweed-DVD-ppc64le-extra_tests_in_textmode@ppc64le fails in
[lshw](https://openqa.opensuse.org/tests/1226146/modules/lshw/steps/6)

## Test suite description
Maintainer: okurz@suse.de

Mainly console extratest.


## Reproducible

Fails since (at least) Build [20180813](https://openqa.opensuse.org/tests/734137)


## Expected result

Last good: (unknown) (or more recent)


## Further details

Always latest result in this scenario: [latest](https://openqa.opensuse.org/tests/latest?arch=ppc64le&distri=opensuse&flavor=DVD&machine=ppc64le&test=extra_tests_in_textmode&version=Tumbleweed)
Comment 1 Michel Normand 2020-04-07 13:00:58 UTC
Created attachment 835093 [details]
lshw_segfault_journalctl.log

I am able to recreate the problem retrieving the last lshw rpms via osc getbinaries on a P8 guest with Tumbleweed.

related trace from journalctl:
===
Apr 07 13:50:17 twppc64le2 kernel: lshw[13715]: segfault (11) at 3401000000000028 nip 119f768a0 lr 119f779fc code 3 in lshw[119f40000+d0000]
Apr 07 13:50:17 twppc64le2 kernel: lshw[13715]: code: fb210028 fb410030 fba10048 fbe10058 3b20ffff 7f7cdb78 3f008000 7b390060 
Apr 07 13:50:17 twppc64le2 kernel: lshw[13715]: code: f8010070 eba40008 eb440000 60420000 <ebfe0028> 7c3fe840 7fe5fb78 40810008 
Apr 07 13:50:17 twppc64le2 systemd[1]: Started Process Core Dump (PID 13719/UID 0).
Apr 07 13:50:17 twppc64le2 sudo[13714]: pam_unix(sudo:session): session closed for user root
Apr 07 13:50:21 twppc64le2 systemd-coredump[13720]: Process 13715 (lshw) of user 0 dumped core.
                                                    
                                                    Stack trace of thread 13715:
                                                    #0  0x0000000119f768a0 _ZNSt8_Rb_treeINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEES5_St9_IdentityIS5_ESt4lessIS5_ESaIS5_EE4findERKS5_ (lshw + 0x368a0)
                                                    #1  0x0000000119f779fc _ZNSt3setINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEESt4lessIS5_ESaIS5_EE4findERKS5_ (lshw + 0x379fc)
                                                    #2  0x0000000119f78084 _Z7enabledPKc (lshw + 0x38084)
                                                    #3  0x0000000119f600a0 detect_ext2 (lshw + 0x200a0)
                                                    #4  0x0000000119f581c4 _Z11scan_volumeR6hwNodeR6source (lshw + 0x181c4)
                                                    #5  0x0000000119f69f2c detect_gpt (lshw + 0x29f2c)
                                                    #6  0x0000000119f64a74 _Z15scan_partitionsR6hwNode (lshw + 0x24a74)
                                                    #7  0x0000000119f7f810 _Z9scan_diskR6hwNode (lshw + 0x3f810)
                                                    #8  0x0000000119f8907c scan_sg (lshw + 0x4907c)
                                                    #9  0x0000000119fc2a54 _Z9scan_scsiR6hwNode (lshw + 0x82a54)
                                                    #10 0x0000000119f514fc main (lshw + 0x114fc)
                                                    #11 0x00007fffacf5804c generic_start_main (libc.so.6 + 0x2804c)
                                                    #12 0x00007fffacf58224 __libc_start_main (libc.so.6 + 0x28224)
Apr 07 13:50:21 twppc64le2 systemd[1]: systemd-coredump@1-13719-0.service: Succeeded.
===
Comment 2 Michel Normand 2020-04-23 12:54:20 UTC
I verified that w/o lto problem disappeared for ppc64le, so submitted new
https://build.opensuse.org/request/show/796551

I assume that need to keep this bug open to track failure with lto ?
Comment 3 Martin Pluskal 2020-04-23 14:43:41 UTC
(In reply to Michel Normand from comment #2)
> I verified that w/o lto problem disappeared for ppc64le, so submitted new
> https://build.opensuse.org/request/show/796551
> 
> I assume that need to keep this bug open to track failure with lto ?

I would wonder if this is a compiler error
Comment 4 Martin Liška 2020-04-23 14:56:35 UTC
I can take a look.
Comment 5 Martin Liška 2020-04-23 14:58:42 UTC
Does it also happen on aarch64 as you mentioned here:
https://build.opensuse.org/request/show/796551
?
Comment 6 Michel Normand 2020-04-23 15:11:40 UTC
(In reply to Martin Liška from comment #5)
> Does it also happen on aarch64 as you mentioned here:
> https://build.opensuse.org/request/show/796551
> ?

The disabling of lto did not solve the aarch64 problem tracked in https://bugzilla.opensuse.org/show_bug.cgi?id=1169668#c2
It only helped in its callstack capture.
Comment 7 Swamp Workflow Management 2020-04-30 06:20:06 UTC
This is an autogenerated message for OBS integration:
This bug (1168865) was mentioned in
https://build.opensuse.org/request/show/799083 15.2 / lshw
Comment 8 Martin Liška 2020-06-12 07:22:39 UTC
Fixed now.
Comment 11 Swamp Workflow Management 2020-09-03 01:16:58 UTC
SUSE-RU-2020:2470-1: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1168865,1169668,1172156
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    lshw-B.02.19.2-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2020-09-07 13:14:03 UTC
openSUSE-RU-2020:1367-1: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1168865,1169668,1172156
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    lshw-B.02.19.2-lp152.2.3.1